- name: set up common tools
  become: true
  ansible.builtin.apt: name={{ item }} state=present
  with_items:
    - curl
    - htop
    - iftop
    - iotop
    - imagemagick
    - keychain
    - libarchive-tools
    - mg
    - nvi
    - pandoc
    - par
    - powertop
    - pwgen
    - ranger
    - rlwrap
    - rsync
    - silversearcher-ag
    - sudo
    - tcpdump
    - time
    - tmux
    - tree
    - unzip
    - zsh

- name: set up tools specifically for headless systems
  when: headless
  become: true
  ansible.builtin.apt: name={{ item }} state=present
  with_items:
    - emacs-nox
    - vim-nox
